Index: WAeUP_SRP/trunk/skins/waeup_design/folder_view.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/folder_view.py	(revision 1737)
+++ WAeUP_SRP/trunk/skins/waeup_design/folder_view.py	(revision 1737)
@@ -0,0 +1,24 @@
+##parameters=b_start=0
+##
+from ZTUtils import Batch
+from ZTUtils import LazyFilter
+
+options = {}
+
+options['has_local'] = 'local_pt' in context.objectIds()
+
+key, reverse = context.getDefaultSorting()
+items = context.contentValues()
+items = sequence.sort( items, ((key, 'cmp', reverse and 'desc' or 'asc'),) )
+items = LazyFilter(items, skip='View')
+batch_obj = Batch(items, 25, b_start, orphan=0)
+listItemInfos = context.getBatchItemInfos(batch_obj)
+try:
+    target = context.getActionInfo('object/view')['url']
+except:
+    target = ''
+
+navigation = context.getBatchNavigation(batch_obj, target)
+options['batch'] = { 'listItemInfos': listItemInfos,
+                     'navigation': navigation }
+return context.index_html_template(**options)
Index: WAeUP_SRP/trunk/skins/waeup_design/get_waeup_skin.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/get_waeup_skin.py	(revision 1737)
+++ WAeUP_SRP/trunk/skins/waeup_design/get_waeup_skin.py	(revision 1737)
@@ -0,0 +1,13 @@
+# Return the right theme in context:
+
+request = container.REQUEST
+RESPONSE =  request.RESPONSE
+
+# Return a string identifying this script.
+mtool = context.portal_membership
+member = mtool.getAuthenticatedMember()
+roles = member.getRoles()
+if 'Student' in roles or mtool.isAnonymousUser():
+     return 'WAeUP_Student'
+return 'WAeUP_Backoffice'
+
Index: WAeUP_SRP/trunk/skins/waeup_design/header_lib_header.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/header_lib_header.pt	(revision 1737)
+++ WAeUP_SRP/trunk/skins/waeup_design/header_lib_header.pt	(revision 1737)
@@ -0,0 +1,42 @@
+<!-- a header_lib macro -->
+<!-- $Id: header_lib_header.pt 31116 2005-12-30 10:56:31Z lregebro $ -->
+
+<!--
+Here is the CSS loading logic:
+- default.css follows the CSS2 spec.
+- msie.css is used and read *only* by MSIE. This is the place to put instructions
+  to correct the rendering problems specific to MSIE.
+- custom.css is loaded if it exists.
+-->
+
+<metal:block define-macro="header" tal:define="charset string:ISO-8859-15">
+  <tal:block define="dummy python:request.RESPONSE.setHeader('Content-Type',
+    'text/html;; charset=%s' % charset)"/>
+  <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15"/>
+  <meta name="generator" content="West African eUniversity Project www.waeup.org"/>
+  <title tal:content="expanded_title|here/expanded_title">WAeUP Default</title>
+  <metal:block define-slot="base"></metal:block>
+  <link rel="stylesheet" type="text/css" media="all"
+    tal:attributes="href string:${base_url}default.css" />
+  <link tal:condition="btool|nothing" rel="stylesheet" type="text/css"
+    media="all" tal:attributes="href string:${base_url}boxes.css" />
+  <tal:block replace="structure string:&lt;!--[if IE]&gt;" /><link
+    rel="stylesheet" type="text/css"
+    tal:attributes="href string:${base_url}msie.css" /><tal:block
+    replace="structure string:&lt;![endif]--&gt;" />
+  <link rel="stylesheet" type="text/css" media="print"
+    tal:attributes="href string:${base_url}default_print.css"/>
+  <meta http-equiv="imagetoolbar" content="no" />
+  <metal:block define-slot="head_slot"></metal:block>
+  <metal:block define-slot="style_slot"></metal:block>
+  <link rel="stylesheet" type="text/css" media="all"
+    tal:condition="exists: here/custom.css"
+    tal:attributes="href string:${base_url}custom.css;"/>
+  <link rel="stylesheet" type="text/css" media="all"
+    tal:define="custom_css here/getCPSCustomCSS|nothing"
+    tal:condition="custom_css"
+    tal:attributes="href string:${base_url}${custom_css}"/>
+  <metal:block define-slot="javascript_head_slot"></metal:block>
+  <script type="text/javascript"
+    tal:attributes="src string:${base_url}functions.js"></script>
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_design/index_html_template.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/index_html_template.pt	(revision 1737)
+++ WAeUP_SRP/trunk/skins/waeup_design/index_html_template.pt	(revision 1737)
@@ -0,0 +1,39 @@
+<html metal:use-macro="context/main_template/macros/master">
+<body>
+
+<metal:slot metal:fill-slot="header" i18n:domain="cmf_default">
+  <div tal:condition="not: options/has_local">
+<metal:macro metal:use-macro="context/index_html_utils/macros/index_header" />
+  </div>
+  <div tal:condition="options/has_local">
+    <div metal:use-macro="context/local_pt/macros/header | default">
+      'local_pt' header goes here.
+    </div>
+  </div>
+</metal:slot>
+
+<metal:slot metal:fill-slot="main" i18n:domain="cmf_default"
+  tal:define="batch options/batch">
+
+  <div id="content_well"
+       style="float: left; top: 0; width: 78%;">
+    <div tal:condition="not: options/has_local">
+
+<metal:macro metal:use-macro="context/batch_widgets/macros/listing" />
+<metal:macro metal:use-macro="context/batch_widgets/macros/navigation" />
+
+    </div>
+    <div tal:condition="options/has_local">
+      <div metal:use-macro="context/local_pt/macros/body | default">
+        'local_pt' body goes here.
+      </div>
+    </div>
+  </div>
+  <div id="right_sidebar"
+       style="width: 20%">
+
+  </div>
+</metal:slot>
+
+</body>
+</html>
Index: WAeUP_SRP/trunk/skins/waeup_design/main_template.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 1737)
+++ WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 1737)
@@ -0,0 +1,222 @@
+<metal:block define-macro="master"
+  tal:define="showthirdcol showthirdcol|python:1;
+  emptybody emptybody|request/emptybody|nothing;
+  mtool here/portal_membership;
+  can_raise python:mtool.assertViewable(here);
+  utool nocall:here/portal_url;
+  atool here/portal_actions;
+  ttool here/portal_trees;
+  wtool here/portal_workflow;
+  ptool here/portal_cpsportlets;
+  context_url python:here.getContextUrl(utool=utool);
+  here_url here/absolute_url;
+  base_url here/getBaseUrl;
+  member mtool/getAuthenticatedMember;
+  isAnon mtool/isAnonymousUser;
+  isHomeless python:isAnon or member.getProperty('homeless', 0);
+  isHomeless python:(isHomeless == '0' and [0] or [isHomeless])[0];
+  actions python:atool.listFilteredActionsFor(here);
+  wf_state python:wtool.getInfoFor(here,'review_state','');
+  uname python: isAnon and 'Guest' or member.getUserName();
+  checkPerm nocall: mtool/checkPermission;
+  cpsmcat nocall:here/translation_service;
+  locale here/translation_service/getSelectedLanguage;
+  in_ws here/isInWorkspace;
+  waeup_skin here/get_waeup_skin;
+  student_theme python:test(waeup_skin == 'WAeUP_Student',1,0);
+  navigation_slot python:test(student_theme,'student_navigation_slot','navigation_slot');
+  object_tabs python:test(student_theme,'student_object_tabs','staff_object_tabs');
+  
+  ">
+  <metal:block define-slot="doctype"><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
+    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+  </metal:block>
+  <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"
+        lang="en">
+    <head>
+      <metal:block use-macro="here/header_lib_header/macros/header|here/header_lib/macros/header">
+        <metal:block fill-slot="base">
+          <metal:block define-slot="base">
+            <base href=""
+                  tal:attributes="href string:${here_url}/" />
+          </metal:block>
+        </metal:block>
+        <metal:block fill-slot="head_slot">
+          <metal:block define-slot="head_slot" />
+        </metal:block>
+        <metal:block fill-slot="style_slot">
+          <link rel="stylesheet" type="text/css" media="all"
+                tal:attributes="href string:${base_url}common.css" />
+          <link rel="stylesheet" type="text/css" media="all"
+                tal:attributes="href string:${base_url}${waeup_skin}/render.css" />
+          <link rel="stylesheet" type="text/css" media="all"
+                tal:attributes="href string:${base_url}common2.css" />                
+          <metal:block define-slot="style_slot" />
+        </metal:block>
+        <metal:block fill-slot="javascript_head_slot">
+          <metal:block define-slot="javascript_head_slot" />
+        </metal:block>
+      </metal:block>
+      <link rel="icon"
+            href="icons/ng.png"
+            tal:attributes="href string:${base_url}icons/ng.png"
+            type="image/png" />
+      <link rel="shortcut icon"
+            href="icons/ng.png"
+            tal:attributes="href string:${base_url}icons/ng.png"
+            type="image/png" />
+    </head>
+    <body tal:condition="emptybody"
+          style="margin: 0px;"
+          tal:attributes="onload here/getOnLoad|string:setFocus();">
+      <metal:block define-slot="body" />
+      <metal:block define-slot="main" />
+    </body>
+    
+    <body tal:condition="not:emptybody"
+          style="margin: 0px;"
+          tal:attributes="onload here/getOnLoad|string:setFocus();">
+      <div>
+        <a href="http://uniben.waeup.org/accessibility"
+           accesskey="0"></a>
+        <a href="http://uniben.waeup.org/" accesskey="1"></a>
+        <a href="#content" accesskey="2"></a>
+        <a href="#menu" accesskey="3"></a>
+        <a href="http://uniben.waeup.org/advanced_search_form"
+           accesskey="4"></a>
+        <a href="http://uniben.waeup.org/" accesskey="7"></a>
+      </div>
+      
+      
+      <table summary="Logo Block"
+             style="margin-left: auto; margin-right: auto; width: 100%;"
+             class="shapeNoBorder colorTransparent" cellpadding="0"
+             cellspacing="0">
+        <tbody>
+          <tr>
+            <td style="width: 20px;" valign="top"></td>
+            <td valign="top" style="width: 80px; padding: 0.5em; text-align: right;">
+              <img tal:attributes="src string:${base_url}images/uniben_mark.jpg"  alt="Logo"
+                       height="84" width="82" />
+            </td>
+            <td style="padding: 2em 0em 0em 0em; text-align: left;" valign="top">
+              <img tal:attributes="src string:${base_url}images/uniben_logo.gif" 
+                       alt="Logo" height="51" width="234" />
+            </td>
+            <td style="width: 20px;" valign="top"></td>
+          </tr>
+        </tbody>
+      </table>
+
+      <table summary="Navigation Block"
+             style="margin-left: auto; margin-right: auto; width: 100%;"
+             class="shapeNoBorder colorTransparent" cellpadding="0"
+             cellspacing="0">
+        <tbody>
+          <tr>
+            <td style="width: 20px;" valign="top"></td>
+            <td style="" valign="top">
+              <div id="navigation_slot" 
+                       style="padding: 0em 0em 1px; text-align: right;"
+                       class="fontColornavigation fontShapenavigation portalTabTabStyle cpsskinsHBox body">
+                 <tal:block repeat="portlet python:ptool.getPortlets(context=context, slot=navigation_slot)"
+                  tal:content="structure python:portlet.render_cache(context_obj=context, portlet=portlet, boxedit=None)" />
+              </div>
+            </td>
+            <td style="width: 20px;" valign="top"></td>
+          </tr>
+        </tbody>
+      </table>
+      
+      
+      <table summary="Main Table Block 1"
+           style="margin-left: auto; margin-right: auto; width: 100%;"
+           cellpadding="0" cellspacing="0">
+      <tbody>
+        <tr>
+          <td style="width: 20px;" valign="top"></td>
+          <td style="width: 150px;text-align: center;"
+              valign="top">
+            <div id="portal_session" style="padding: 0.4em 0.4em 0.4em 0.3em;"
+                 class="colorBarAreaColor fontColordefaultnovisitedlinks fontShapeaverage shapeAreaShape9">
+                    <tal:block repeat="portlet python:ptool.getPortlets(context=context, slot='portal_session')"
+                               tal:content="structure python:portlet.render_cache(context_obj=context, portlet=portlet, boxedit=None)" />
+            </div>
+          </td>
+          <td style="text-align: left; padding: 0.2em 0.2em 0em;" class="colorBarColor" valign="top">
+            <div id="object_tabs" class="fontColornavigation fontShapeaverage cpsskinsHBox body">
+                <tal:block repeat="portlet python:ptool.getPortlets(context=context, slot=object_tabs)"
+                           tal:content="structure python:portlet.render_cache(context_obj=context, portlet=portlet, boxedit=None)" />
+            </div>
+          </td>
+          <td tal:condition="not:student_theme"
+              class="colorBarColor" valign="top" style="text-align: right;padding: 0.2em 0.2em 0em; width: 280px;">
+            <div id="status_slot" class="fontColordefaultfontcolors fontShapeaverage cpsskinsHBox body">
+                <tal:block repeat="portlet python:ptool.getPortlets(context=context, slot='status_slot')"
+                           tal:content="structure python:portlet.render_cache(context_obj=context, portlet=portlet, boxedit=None)" />
+            </div>
+          </td>
+          <td style="width: 20px;"
+              valign="top"></td>
+        </tr>
+      </tbody>
+    </table>
+  
+  
+  
+    <table summary="Main Table Block 2"
+             style="margin-left: auto; margin-right: auto; width: 100%;"
+             class="" cellpadding="0" cellspacing="0">
+      <tbody>
+        <tr>
+          <td style="width: 20px;" valign="top"></td>
+          <td style="width: 150px;text-align: left;"
+              class="colorBarColor fontColornavigation fontShapeaverage boxShapenavbox cpsskinsBox" valign="top">
+            <div id="staff_actions_slot" class="body" style="padding: 1.5em 0.5em 1.5em 0.5em;">
+              <tal:block tal:condition="not:student_theme" repeat="portlet python:ptool.getPortlets(context=context, slot='staff_actions_slot')"
+                         tal:content="structure python:portlet.render_cache(context_obj=context, portlet=portlet, boxedit=None)" />
+              <tal:block tal:condition="not:student_theme" repeat="portlet python:ptool.getPortlets(context=context, slot='global_actions_slot')"
+                         tal:content="structure python:portlet.render_cache(context_obj=context, portlet=portlet, boxedit=None)" />
+              <tal:block tal:condition="student_theme" repeat="portlet python:ptool.getPortlets(context=context, slot='student_actions_slot')"
+                         tal:content="structure python:portlet.render_cache(context_obj=context, portlet=portlet, boxedit=None)" />
+              <span tal:condition="student_theme">
+
+
+              <div style="padding: 0em;">
+                <tal:block repeat="portlet python:ptool.getPortlets(context=context, slot='student_workflow')"
+                             tal:content="structure python:portlet.render_cache(context_obj=context, portlet=portlet, boxedit=None)" />
+              </div>
+
+              </span>                         
+            </div>
+          </td>
+          <td style="" class="shapeAreaShape5 colorBarAreaColor" valign="top">
+            <div style="padding: 0.5em; text-align: left;" class="fontColordefaultfontcolors fontShapeaverage">
+                    <metal:block define-slot="header" />
+                    <metal:block define-slot="main" />
+                    <metal:block define-slot="sub" />
+            </div>
+          </td>
+          <td style="width: 20px;" valign="top"></td>
+        </tr>
+      </tbody>
+    </table>
+    
+    
+    <table summary="Copyright Info Block"
+             style="margin-left: auto; margin-right: auto; width: 100%;"
+             cellspacing="0">
+        <tbody>
+          <tr>
+            <td style="width: 20px;" valign="top"></td>
+            <td style="padding: 0.2em; text-align: right;" valign="top">
+              <div class="fontColordefaultfontcolors fontShapeaverage">
+              Copyright WAeUP Group 2007</div>
+            </td>
+            <td style="width: 20px;" valign="top"></td>
+          </tr>
+        </tbody>
+    </table>
+    </body>
+  </html>
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_design/slip_template.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/slip_template.pt	(revision 1737)
+++ WAeUP_SRP/trunk/skins/waeup_design/slip_template.pt	(revision 1737)
@@ -0,0 +1,118 @@
+<metal:block define-macro="master"
+  tal:define="showthirdcol showthirdcol|python:1;
+  emptybody emptybody|request/emptybody|nothing;
+  mtool here/portal_membership;
+  can_raise python:mtool.assertViewable(here);
+  utool nocall:here/portal_url;
+  atool here/portal_actions;
+  ttool here/portal_trees;
+  wtool here/portal_workflow;
+  ptool here/portal_cpsportlets;
+  context_url python:here.getContextUrl(utool=utool);
+  here_url here/absolute_url;
+  base_url here/getBaseUrl;
+  member mtool/getAuthenticatedMember;
+  isAnon mtool/isAnonymousUser;
+  isHomeless python:isAnon or member.getProperty('homeless', 0);
+  isHomeless python:(isHomeless == '0' and [0] or [isHomeless])[0];
+  actions python:atool.listFilteredActionsFor(here);
+  wf_state python:wtool.getInfoFor(here,'review_state','');
+  uname python: isAnon and 'Guest' or member.getUserName();
+  checkPerm nocall: mtool/checkPermission;
+  cpsmcat nocall:here/translation_service;
+  locale here/translation_service/getSelectedLanguage;
+  in_ws here/isInWorkspace;
+  waeup_skin here/get_waeup_skin;
+  ">
+  <metal:block define-slot="doctype"><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
+    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+  </metal:block>
+  <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"
+        lang="en">
+    <head>
+      <metal:block use-macro="here/header_lib_header/macros/header|here/header_lib/macros/header">
+        <metal:block fill-slot="base">
+          <metal:block define-slot="base">
+            <base href=""
+                  tal:attributes="href string:${here_url}/" />
+          </metal:block>
+        </metal:block>
+        <metal:block fill-slot="head_slot">
+          <metal:block define-slot="head_slot" />
+        </metal:block>
+        <metal:block fill-slot="style_slot">
+          <link rel="stylesheet" type="text/css" media="all"
+                tal:attributes="href string:${base_url}common.css" />
+          <link rel="stylesheet" type="text/css" media="all"
+                tal:attributes="href string:${base_url}${waeup_skin}render.css" />
+          <link rel="stylesheet" type="text/css" media="all"
+                tal:attributes="href string:${base_url}common2.css" />    
+          <metal:block define-slot="style_slot" />
+        </metal:block>
+        <metal:block fill-slot="javascript_head_slot">
+          <metal:block define-slot="javascript_head_slot" />
+        </metal:block>
+      </metal:block>
+      <link rel="icon"
+            href="http://uniben.waeup.org/portal_themes/WAeUP_Student/icons/ng.png"
+            type="image/png" />
+      <link rel="shortcut icon"
+            href="http://uniben.waeup.org/portal_themes/WAeUP_Student/icons/ng.png"
+            type="image/png" />
+      <!-- CSS1 -->
+    </head>
+    <body tal:condition="emptybody"
+          style="margin: 0px;"
+          tal:attributes="onload here/getOnLoad|string:setFocus();">
+      <metal:block define-slot="body" />
+      <metal:block define-slot="main" />
+    </body>
+    <body tal:condition="not:emptybody"
+          style="margin: 0px;"
+          tal:attributes="onload here/getOnLoad|string:setFocus();">
+    <div>
+      <a href="http://uniben.waeup.org/accessibility" accesskey="0"></a>
+      <a href="http://uniben.waeup.org/" accesskey="1"></a>
+      <a href="#content" accesskey="2"></a>
+      <a href="#menu" accesskey="3"></a>
+      <a href="http://uniben.waeup.org/advanced_search_form"
+         accesskey="4"></a>
+      <a href="http://uniben.waeup.org/" accesskey="7"></a>
+    </div>
+    
+    <table summary="Logo Block"
+           style="margin-left: auto; margin-right: auto; width: 100%;"
+           class="shapeNoBorder colorTransparent" cellpadding="0"
+           cellspacing="0">
+      <tbody>
+        <tr>
+          <td style="width: 20px;" valign="top"></td>
+          <td valign="top" style="width: 80px; padding: 0.5em; text-align: right;">
+            <img tal:attributes="src string:${base_url}images/uniben_mark.jpg"  alt="Logo"
+                     height="84" width="82" />
+          </td>
+          <td style="padding: 2em 0em 0em 0em; text-align: left;" valign="top">
+            <img tal:attributes="src string:${base_url}images/uniben_logo.gif" 
+                     alt="Logo" height="51" width="234" />
+          </td>
+          <td style="width: 20px;" valign="top"></td>
+        </tr>
+      </tbody>
+    </table>
+      
+    <table summary="Main Block" cellpadding="0" cellspacing="0" 
+           style="margin-left:auto;margin-right:auto;width:100%;">
+      <tr>
+        <td valign="top" style="width:700px">
+          <div style="padding:2em; text-align: left;" 
+               class="fontColordefaultfontcolors fontShapeTitleindex shapeAreaShape">
+                  <metal:block define-slot="header" />
+                  <metal:block define-slot="main" />
+                  <metal:block define-slot="sub" />
+          </div>
+        </td>
+      </tr>
+    </table>
+  </body>
+</html>
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_design/widget_portlet_actions.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/widget_portlet_actions.pt	(revision 1737)
+++ WAeUP_SRP/trunk/skins/waeup_design/widget_portlet_actions.pt	(revision 1737)
@@ -0,0 +1,26 @@
+<tal:block define="ds options/datastructure;
+                   categories ds/categories;
+                   actions_order ds/actions_order|python:[];
+                   context nocall:options/context_obj|here;
+                   show_icons ds/show_icons|python:1;
+                   show_icons python: int(show_icons);
+                   actionitems python: here.getActionsItems(context, categories, actions_order);
+                   base_url here/getBaseUrl"
+                   condition="actionitems">
+    <ul class="cpsskinsMenu">
+      <li tal:repeat="action actionitems"><a
+       tal:define="icon_tag action/icon_tag"
+       tal:attributes="href action/url;
+                       class python:show_icons and icon_tag and 'noicon' or None">
+         <tal:block condition="python:show_icons and icon_tag"
+           content="structure icon_tag"/>
+         <tal:block condition="python:show_icons and not icon_tag">
+           <img tal:attributes="src
+             string:${base_url}images/noicon.png;
+             alt action/title" />
+         </tal:block>
+         <tal:block i18n:translate="" content="action/title" />
+       </a>
+       </li>
+    </ul>
+</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_epayment/payment_receipt.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/payment_receipt.pt	(revision 1736)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/payment_receipt.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main"
                 tal:define="info context/getStudentBaseInfo;
Index: WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 1736)
+++ WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main"
                 tal:define="info_acco context/getAccommodationInfo;
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt	(revision 1736)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt	(revision 1737)
@@ -4,5 +4,5 @@
   </span>
 <metal:block tal:condition="info"> 
-  <metal:body use-macro="here/main_template/macros/master">
+  <metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main">
     <span tal:condition="not: info">
Index: WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 1736)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main"
                 tal:define="info context/getApplicationInfo">
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 1736)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 1737)
@@ -1,15 +1,15 @@
-<metal:block define-macro="clearance_edit_form">
- <metal:block use-macro="here/waeup_content_master/macros/master">
-  <metal:header fill-slot="header"
-           tal:define="
-               is_student context/isStudent;
-               is_staff context/isStaff;
-               is_so context/isSectionOfficer;
-               info context/getClearanceInfo;">
-    <metal:block use-macro="here/clearance_edit_lib/macros/header" />
-  </metal:header>
+<metal:definetemplate tal:define="template here/main_template/macros/master">
+<metal:definemacro define-macro="clearance_edit_form">
+<metal:usemacro use-macro=template>
+
   <metal:main fill-slot="main"
            tal:define="
-               info context/getClearanceInfo;
+               info context/getClearanceInfo;">
+               
+      <metal:block tal:condition="not: info">
+        <span tal:content="here/illegal_view" />
+      </metal:block>
+      <metal:block tal:condition="info">
+      <metal:block tal:define="               
                is_so context/isSectionOfficer;
                is_staff context/isStaff;
@@ -28,4 +28,29 @@
                form_action string:clearance_edit;
                creation python:False;">
+
+    <!--  Administration -->
+    <tal:block condition="python: not(is_staff or is_so or is_student)">
+      <metal:block use-macro="here/error_not_found/macros/not_found" />
+    </tal:block>
+    <tal:block condition="is_staff">
+      <h3> 
+        <span tal:condition="info">
+          <span tal:content="info/student/Title" />:
+        </span>
+        <span tal:content="here/title_or_id" />
+      </h3>
+      <br />    
+    </tal:block>
+    <!-- Student -->
+    <tal:block condition="python: is_student">
+      <a href=""
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3>Fill Your Clearance/Eligibility Form!</h3>
+      <br />    
+    </tal:block>
+
                
     <form action="ACTION" method="post" id="editForm"
@@ -47,5 +72,9 @@
         ajax feedback
       </div>
+    </metal:block>
+    </metal:block>          
   </metal:main>
- </metal:block>
-</metal:block>
+
+</metal:usemacro> 
+</metal:definemacro>
+</metal:definetemplate>
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 1736)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 1737)
@@ -1,30 +1,5 @@
 <!--  clearance_edit_lib -->
 <!-- $Id$ -->
-<!--  header -->
-<metal:block define-macro="header">
-  <!--  Administration -->
-  <tal:block condition="python: not(is_staff or is_so or is_student)">
-    <metal:block use-macro="here/error_not_found/macros/not_found" />
-  </tal:block>
-  <tal:block condition="is_staff">
-    <h3> 
-      <span tal:condition="info">
-        <span tal:content="info/student/Title" />:
-      </span>
-      <span tal:content="here/title_or_id" />
-    </h3>
-    <br />    
-  </tal:block>
-  <!-- Student -->
-  <tal:block condition="python: is_student">
-    <a href=""
-       tal:attributes="href string:${here/academicsParent}">
-      <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-      Up one level
-    </a>
-    <h3>Fill Your Clearance/Eligibility Form!</h3>
-    <br />    
-  </tal:block>
-</metal:block>
+
 <!--  buttons -->
 <metal:block define-macro="buttons">
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt	(revision 1736)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main"
                  tal:define="info context/getClearanceInfo">
@@ -5,5 +5,5 @@
         <span tal:content="here/illegal_view" />
       </span>
-      <span tal:condition="info">
+      <span tal:omit-tag=""  tal:condition="info">
       <div style="text-align: right" tal:condition="info/penalty"> 
       <strong>Late Clearance!</strong></div>
@@ -26,5 +26,6 @@
           <td tal:content="sc/study_course" />
         </tr>
-        <span tal:define="f_id sc/faculty;
+        <span  tal:omit-tag="" 
+               tal:define="f_id sc/faculty;
                         d_id sc/department;
                         f_title context/academics/?f_id/Title|string:Faculty not yet in Prospectus;
Index: WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 1736)
+++ WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 1737)
@@ -1,4 +1,5 @@
+<metal:definetemplate tal:define="template here/waeup_content_master/macros/master">
 <metal:block define-macro="contact_student_form">
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro=template>
     <metal:main fill-slot="main"
                 tal:define="member python:context.portal_membership.getAuthenticatedMember();
@@ -80,2 +81,3 @@
 </metal:body>
 </metal:block>
+</metal:definetemplate>
Index: WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 1736)
+++ WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 1737)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main"
                 tal:define="info context/getStudyLevelInfo;
